<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.6.0.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" class="navigator-link">
              <span class="suite-name border-passed">Snapdeal_parallel_runner_Suit</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span>C:\Users\ADMIN\eclipse-workspace\Selenium_Framework_Project\testng_snapdeal_parallel.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span class="test-stats">2 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Snapdeal_parallel_runner_Suit" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">8 methods,   8 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" class="hide-methods passed suite-Snapdeal_parallel_runner_Suit"> (hide)</a> <!-- hide-methods passed suite-Snapdeal_parallel_runner_Suit -->
                      <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" class="show-methods passed suite-Snapdeal_parallel_runner_Suit"> (show)</a> <!-- show-methods passed suite-Snapdeal_parallel_runner_Suit -->
                    </span>
                    <div class="method-list-content passed suite-Snapdeal_parallel_runner_Suit">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_chrome" class="method navigator-link" hash-for-method="home_page_execution">home_page_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_edge" class="method navigator-link" hash-for-method="home_page_execution">home_page_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_chrome" class="method navigator-link" hash-for-method="payment_page_execution">payment_page_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_edge" class="method navigator-link" hash-for-method="payment_page_execution">payment_page_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_chrome" class="method navigator-link" hash-for-method="productSearch_apge_execution">productSearch_apge_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_edge" class="method navigator-link" hash-for-method="productSearch_apge_execution">productSearch_apge_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_chrome" class="method navigator-link" hash-for-method="product_page_execution">product_page_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Snapdeal_parallel_runner_Suit" title="POM_testcase.Snapdeal_POM_testcase_edge" class="method navigator-link" hash-for-method="product_page_execution">product_page_execution</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Snapdeal_parallel_runner_Suit -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Snapdeal_parallel_runner_Suit" class="panel Snapdeal_parallel_runner_Suit">
          <div class="suite-Snapdeal_parallel_runner_Suit-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">POM_testcase.Snapdeal_POM_testcase_edge</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="home_page_execution">
                  </a> <!-- home_page_execution -->
                  <span class="method-name">home_page_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="payment_page_execution">
                  </a> <!-- payment_page_execution -->
                  <span class="method-name">payment_page_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="productSearch_apge_execution">
                  </a> <!-- productSearch_apge_execution -->
                  <span class="method-name">productSearch_apge_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="product_page_execution">
                  </a> <!-- product_page_execution -->
                  <span class="method-name">product_page_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Snapdeal_parallel_runner_Suit-class-passed -->
          <div class="suite-Snapdeal_parallel_runner_Suit-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">POM_testcase.Snapdeal_POM_testcase_chrome</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="home_page_execution">
                  </a> <!-- home_page_execution -->
                  <span class="method-name">home_page_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="payment_page_execution">
                  </a> <!-- payment_page_execution -->
                  <span class="method-name">payment_page_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="productSearch_apge_execution">
                  </a> <!-- productSearch_apge_execution -->
                  <span class="method-name">productSearch_apge_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="product_page_execution">
                  </a> <!-- product_page_execution -->
                  <span class="method-name">product_page_execution</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Snapdeal_parallel_runner_Suit-class-passed -->
        </div> <!-- panel Snapdeal_parallel_runner_Suit -->
        <div panel-name="test-xml-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\ADMIN\eclipse-workspace\Selenium_Framework_Project\testng_snapdeal_parallel.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite thread-count=&quot;2&quot; parallel=&quot;tests&quot; name=&quot;Snapdeal_parallel_runner_Suit&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;test thread-count=&quot;2&quot; parallel=&quot;tests&quot; name=&quot;Snapdeal_chrome_Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;POM_testcase.Snapdeal_POM_testcase_chrome&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Snapdeal_chrome_Test --&gt;
  &lt;test thread-count=&quot;2&quot; parallel=&quot;tests&quot; name=&quot;Snapdeal_edge_Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;POM_testcase.Snapdeal_POM_testcase_edge&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Snapdeal_edge_Test --&gt;
&lt;/suite&gt; &lt;!-- Snapdeal_parallel_runner_Suit --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Snapdeal_parallel_runner_Suit</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Snapdeal_chrome_Test (1 class)</span>
              </li>
              <li>
                <span class="test-name">Snapdeal_edge_Test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Snapdeal_parallel_runner_Suit</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Snapdeal_parallel_runner_Suit</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Snapdeal_parallel_runner_Suit');
function tableData_Snapdeal_parallel_runner_Suit() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(8);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'home_page_execution')
data.setCell(0, 2, 'POM_testcase.Snapdeal_POM_testcase_edge')
data.setCell(0, 3, 68010);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'home_page_execution')
data.setCell(1, 2, 'POM_testcase.Snapdeal_POM_testcase_chrome')
data.setCell(1, 3, 57078);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'productSearch_apge_execution')
data.setCell(2, 2, 'POM_testcase.Snapdeal_POM_testcase_edge')
data.setCell(2, 3, 21181);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'productSearch_apge_execution')
data.setCell(3, 2, 'POM_testcase.Snapdeal_POM_testcase_chrome')
data.setCell(3, 3, 20255);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'product_page_execution')
data.setCell(4, 2, 'POM_testcase.Snapdeal_POM_testcase_edge')
data.setCell(4, 3, 18337);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'product_page_execution')
data.setCell(5, 2, 'POM_testcase.Snapdeal_POM_testcase_chrome')
data.setCell(5, 3, 16110);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'payment_page_execution')
data.setCell(6, 2, 'POM_testcase.Snapdeal_POM_testcase_edge')
data.setCell(6, 3, 7056);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'payment_page_execution')
data.setCell(7, 2, 'POM_testcase.Snapdeal_POM_testcase_chrome')
data.setCell(7, 3, 6716);
window.suiteTableData['Snapdeal_parallel_runner_Suit']= { tableData: data, tableDiv: 'times-div-Snapdeal_parallel_runner_Suit'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 2 minutes</span>
              <div id="times-div-Snapdeal_parallel_runner_Suit">
              </div> <!-- times-div-Snapdeal_parallel_runner_Suit -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Snapdeal_parallel_runner_Suit</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Snapdeal_parallel_runner_Suit" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_edge</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">presetup</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-test before -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_chrome</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">presetup</span>
                <span class="method-start">5 ms</span>
              </div> <!-- configuration-test before -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_edge</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">home_page_execution</span>
                <span class="method-start">31513 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_chrome</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">home_page_execution</span>
                <span class="method-start">39846 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">productSearch_apge_execution</span>
                <span class="method-start">100066 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_edge</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">productSearch_apge_execution</span>
                <span class="method-start">100067 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_chrome</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">product_page_execution</span>
                <span class="method-start">120375 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_edge</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">product_page_execution</span>
                <span class="method-start">121279 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_chrome</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">payment_page_execution</span>
                <span class="method-start">136868 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_edge</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">payment_page_execution</span>
                <span class="method-start">139647 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_chrome</div> <!-- chronological-class-name -->
              <div class="configuration-test after">
                <span class="method-name">teardwon</span>
                <span class="method-start">143609 ms</span>
              </div> <!-- configuration-test after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">POM_testcase.Snapdeal_POM_testcase_edge</div> <!-- chronological-class-name -->
              <div class="configuration-test after">
                <span class="method-name">teardwon</span>
                <span class="method-start">146761 ms</span>
              </div> <!-- configuration-test after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
